<?php

namespace MGModule\DNSManager2\models\custom\notification;
use MGModule\DNSManager2 as main;

/**
 * Description of repository
 *
 * @author Michal Czech <michael@modulesgarden.com>
 */
class Repository extends \MGModule\DNSManager2\mgLibs\models\repository{
    public function getModelClass() {
        return __NAMESPACE__.'\Notification';
    }
    
    public function byName($name) {
        return $this->setFilter('name', $name);
    }
    
    public function byType($type) {
        return $this->setFilter('type', $type);
    }
}
